summaryrefslogtreecommitdiff
path: root/bin/web_unicorn
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2020-11-19 08:27:35 +0000
committerGitLab Bot <gitlab-bot@gitlab.com>2020-11-19 08:27:35 +0000
commit7e9c479f7de77702622631cff2628a9c8dcbc627 (patch)
treec8f718a08e110ad7e1894510980d2155a6549197 /bin/web_unicorn
parente852b0ae16db4052c1c567d9efa4facc81146e88 (diff)
downloadgitlab-ce-7e9c479f7de77702622631cff2628a9c8dcbc627.tar.gz
Add latest changes from gitlab-org/gitlab@13-6-stable-eev13.6.0-rc42
Diffstat (limited to 'bin/web_unicorn')
-rwxr-xr-xbin/web_unicorn5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/web_unicorn b/bin/web_unicorn
index ecd0bbd10b0..5fa15a8324b 100755
--- a/bin/web_unicorn
+++ b/bin/web_unicorn
@@ -1,6 +1,6 @@
#!/bin/sh
-cd $(dirname $0)/..
+cd $(dirname $0)/.. || exit 1
app_root=$(pwd)
unicorn_pidfile="$app_root/tmp/pids/unicorn.pid"
@@ -9,7 +9,8 @@ unicorn_cmd="bundle exec unicorn_rails -c $unicorn_config -E $RAILS_ENV"
get_unicorn_pid()
{
- local pid=$(cat $unicorn_pidfile)
+ local pid
+ pid=$(cat $unicorn_pidfile)
if [ -z "$pid" ] ; then
echo "Could not find a PID in $unicorn_pidfile"
exit 1